zenilib: zenilib/jni/external/sdl/src/libm/k_rem_pio2.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
k_rem_pio2.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

| for (i=0;i<=jk;i++)
| if (q0 > 0)
else | if (q0==0)
| if (z==zero)
| if (z >=two24)
| switch (prec)

## Variables

recompute | __pad0__
int | e0
| else
double | f [20] = (j < 0) ? zero : (double) ipio2[j]
double | fq [20]
double | fw = scalbn(one, q0)
| i
| ih = 0
static int | init_jk [] = { 2, 3, 4, 6 }
int32_t | ipio2 []
| iq [i] = (int32_t) (z - two24 * fw)
| j = jv - jx
| jk = init_jk[prec]
| jp = jk
| jv = (e0 - 3) / 24
| jx = nx - 1
| jz = jk
| m = jx + jk
| n = (int32_t) z
int | nx
static double | one = 1.0
static double | PIo2 []
int | prec
double | q [20]
| q0 = e0 - 24 * (jv + 1)
static double | two24 = 1.67772160000000000000e+07
static double | twon24 = 5.96046447753906250000e-08
int attribute_hidden double | x []
int attribute_hidden double | y []
double | z
static double | zero = 0.0

## Function Documentation

for | ( | i | = `0; i <= jk; i++` | ) |

Definition at line 201 of file k_rem_pio2.c.

References fw, i, and jx.

if | ( | q0 | ,
|  | 0 |
| ) |  |

Definition at line 222 of file k_rem_pio2.c.

References i, and q0.

else if | ( | q0 | = `= 0` | ) |

Definition at line 227 of file k_rem_pio2.c.

if | ( | z | = `= zero` | ) |

Definition at line 263 of file k_rem_pio2.c.

References fw, i, jk, jx, and k.

if | ( | z >= | two24 | ) |

Definition at line 291 of file k_rem_pio2.c.

References jz, two24, and twon24.

switch | ( | prec |  | ) |

Definition at line 316 of file k_rem_pio2.c.

References fw, i, and jz.

## Variable Documentation

recompute __pad0__

Definition at line 210 of file k_rem_pio2.c.

int e0

Definition at line 176 of file k_rem_pio2.c.

else

Initial value:
{
z = scalbn(z, -q0)
q0
q0
Definition: k_rem_pio2.c:192
z
GLint GLint GLint GLint z
Definition: gl2ext.h:1214
scalbn
double scalbn(double x, int n)
Definition: s_scalbn.c:42

Definition at line 289 of file k_rem_pio2.c.

f[i] = (j < 0) ? zero : (double) ipio2[j]

Definition at line 179 of file k_rem_pio2.c.

double fq[20]

Definition at line 179 of file k_rem_pio2.c.

fw = scalbn(one, q0)

Definition at line 179 of file k_rem_pio2.c.

Referenced by for(), if(), and switch().

i

Definition at line 210 of file k_rem_pio2.c.

ih = 0

Definition at line 221 of file k_rem_pio2.c.

int init_jk[] = { 2, 3, 4, 6 }

static

Definition at line 142 of file k_rem_pio2.c.

int32_t ipio2[]

Definition at line 177 of file k_rem_pio2.c.

else iq = (int32_t) (z - two24 * fw)

Definition at line 212 of file k_rem_pio2.c.

j = jv - jx

Definition at line 195 of file k_rem_pio2.c.

jk = init_jk[prec]

Definition at line 184 of file k_rem_pio2.c.

Referenced by if().

jp = jk

Definition at line 185 of file k_rem_pio2.c.

jv = (e0 - 3) / 24

Definition at line 189 of file k_rem_pio2.c.

jx = nx - 1

Definition at line 188 of file k_rem_pio2.c.

Referenced by for(), and if().

jz = jk

Definition at line 207 of file k_rem_pio2.c.

Referenced by CPU_haveCPUID(), if(), and switch().

m = jx + jk

Definition at line 196 of file k_rem_pio2.c.

n = (int32_t) z

Definition at line 219 of file k_rem_pio2.c.

int nx

Definition at line 176 of file k_rem_pio2.c.

double one = 1.0

static

Definition at line 165 of file k_rem_pio2.c.

double PIo2[]

static

Initial value:
= {
1.57079625129699707031e+00,
7.54978941586159635335e-08,
5.39030252995776476554e-15,
3.28200341580791294123e-22,
1.27065575308067607349e-29,
1.22933308981111328932e-36,
2.73370053816464559624e-44,
2.16741683877804819444e-51,
}

Definition at line 148 of file k_rem_pio2.c.

int prec

Definition at line 176 of file k_rem_pio2.c.

Referenced by TSymbolTable::getDefaultPrecision(), and TSymbolTable::setDefaultPrecision().

double q[20]

Definition at line 179 of file k_rem_pio2.c.

q0 = e0 - 24 * (jv + 1)

Definition at line 192 of file k_rem_pio2.c.

Referenced by if().

double two24 = 1.67772160000000000000e+07

static

Definition at line 165 of file k_rem_pio2.c.

Referenced by if().

double twon24 = 5.96046447753906250000e-08

static

Definition at line 166 of file k_rem_pio2.c.

Referenced by if().

int attribute_hidden double x[]

Definition at line 175 of file k_rem_pio2.c.

int attribute_hidden double y[]

Definition at line 175 of file k_rem_pio2.c.

z

Initial value:
{
int32_t jz, jx, jv, jp, jk, carry, n, iq[20], i, j, k, m, q0, ih
ih
ih
Definition: k_rem_pio2.c:221
jv
jv
Definition: k_rem_pio2.c:189
k
int32_t k
Definition: e_log.c:102
n
GLclampd n
Definition: glew.h:7287
jk
jk
Definition: k_rem_pio2.c:184
j
int32_t j
Definition: e_log.c:102
int32_t
long int32_t
Definition: types.h:9
jz
jz
Definition: k_rem_pio2.c:207
jx
jx
Definition: k_rem_pio2.c:188
jp
jp
Definition: k_rem_pio2.c:185
q0
q0
Definition: k_rem_pio2.c:192
iq
iq[i]
Definition: k_rem_pio2.c:212
i
int i
Definition: pngrutil.c:1377
m
#define m(i, j)

Definition at line 179 of file k_rem_pio2.c.

double zero = 0.0

static

Definition at line 165 of file k_rem_pio2.c.